%define upstream_name    Test-MinimumVersion
%define upstream_version 0.101082

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Does your code require newer perl than you think?
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Perl::MinimumVersion) >= 1.320.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.700.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Does your code require newer perl than you think?

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.101.82-4.mga8
+ Revision: 1497408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.101.82-3.mga7
+ Revision: 1271958
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.101.82-2.mga6
+ Revision: 1034333
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.101.82-1.mga6
+ Revision: 923932
- update to 0.101082

* Wed Oct 15 2014 umeabot <umeabot> 0.101.81-3.mga5
+ Revision: 750994
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.101.81-1.mga5
+ Revision: 586256
- update to 0.101081

* Fri Oct 18 2013 umeabot <umeabot> 0.101.80-3.mga4
+ Revision: 515240
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.101.80-2.mga3
+ Revision: 373607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.101.80-1.mga1
+ Revision: 38385
- mageia rebuild
- imported package perl-Test-MinimumVersion

